package com.hw.qms.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 质检结果详情项目信息;质检检查每个项目的质检结果详情对象 qms_check_result_detail_project
 *
 * @author xins
 * @date 2024-02-26
 */
public class QmsCheckResultDetailProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 质检结果详情项目信息ID */
    private Long resultDetailProjectId;

    /** 质检结果详情ID，关联qms_check_result_detail的check_result_detail_id */
    @Excel(name = "质检结果详情ID，关联qms_check_result_detail的check_result_detail_id")
    private Long checkResultDetailId;

    /** 检验项目ID，关联qms_check_project的check_project_id */
    @Excel(name = "检验项目ID，关联qms_check_project的check_project_id")
    private Long checkProjectId;

    /** 检验结果(1合格,0不合格);定性需选择，定量的话根据检验结果的具体值自动选择 */
    @Excel(name = "检验结果(1合格,0不合格);定性需选择，定量的话根据检验结果的具体值自动选择")
    private String checkProjectStatus;

    /** 检验结果,具体值 */
    @Excel(name = "检验结果,具体值")
    private BigDecimal checkProjectResult;

    /**检验项目顺序*/
    private Long projectStepOrder;

    /** 标准值 */
    @Excel(name = "标准值")
    private BigDecimal standardValue;

    /** 检验项目名称（冗余字段） */
    @Excel(name = "检验项目名称", readConverterExp = "冗=余字段")
    private String checkProjectName;

    /** 检验项目属性(1定性,2定量),冗余字段 */
    @Excel(name = "检验项目属性(1定性,2定量),冗余字段")
    private String checkProjectProperty;

    /** 上差值，检验时从检验项目复制过来的值 */
    @Excel(name = "上差值，检验时从检验项目复制过来的值")
    private BigDecimal upperDiff;

    /** 下差值，检验时从检验项目复制过来的值 */
    @Excel(name = "下差值，检验时从检验项目复制过来的值")
    private BigDecimal downDiff;

    /**巡检项目描述*/
    private String inspectProjectDesc;

    public void setResultDetailProjectId(Long resultDetailProjectId)
    {
        this.resultDetailProjectId = resultDetailProjectId;
    }

    public Long getResultDetailProjectId()
    {
        return resultDetailProjectId;
    }
    public void setCheckResultDetailId(Long checkResultDetailId)
    {
        this.checkResultDetailId = checkResultDetailId;
    }

    public Long getCheckResultDetailId()
    {
        return checkResultDetailId;
    }
    public void setCheckProjectId(Long checkProjectId)
    {
        this.checkProjectId = checkProjectId;
    }

    public Long getCheckProjectId()
    {
        return checkProjectId;
    }
    public void setCheckProjectStatus(String checkProjectStatus)
    {
        this.checkProjectStatus = checkProjectStatus;
    }

    public String getCheckProjectStatus()
    {
        return checkProjectStatus;
    }
    public void setCheckProjectResult(BigDecimal checkProjectResult)
    {
        this.checkProjectResult = checkProjectResult;
    }

    public BigDecimal getCheckProjectResult()
    {
        return checkProjectResult;
    }

    public Long getProjectStepOrder() {
        return projectStepOrder;
    }

    public void setProjectStepOrder(Long projectStepOrder) {
        this.projectStepOrder = projectStepOrder;
    }

    public void setStandardValue(BigDecimal standardValue)
    {
        this.standardValue = standardValue;
    }

    public BigDecimal getStandardValue()
    {
        return standardValue;
    }
    public void setCheckProjectName(String checkProjectName)
    {
        this.checkProjectName = checkProjectName;
    }

    public String getCheckProjectName()
    {
        return checkProjectName;
    }
    public void setCheckProjectProperty(String checkProjectProperty)
    {
        this.checkProjectProperty = checkProjectProperty;
    }

    public String getCheckProjectProperty()
    {
        return checkProjectProperty;
    }
    public void setUpperDiff(BigDecimal upperDiff)
    {
        this.upperDiff = upperDiff;
    }

    public BigDecimal getUpperDiff()
    {
        return upperDiff;
    }
    public void setDownDiff(BigDecimal downDiff)
    {
        this.downDiff = downDiff;
    }

    public BigDecimal getDownDiff()
    {
        return downDiff;
    }

    public String getInspectProjectDesc() {
        return inspectProjectDesc;
    }

    public void setInspectProjectDesc(String inspectProjectDesc) {
        this.inspectProjectDesc = inspectProjectDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("resultDetailProjectId", getResultDetailProjectId())
            .append("checkResultDetailId", getCheckResultDetailId())
            .append("checkProjectId", getCheckProjectId())
            .append("checkProjectStatus", getCheckProjectStatus())
            .append("checkProjectResult", getCheckProjectResult())
            .append("standardValue", getStandardValue())
            .append("checkProjectName", getCheckProjectName())
            .append("checkProjectProperty", getCheckProjectProperty())
            .append("upperDiff", getUpperDiff())
            .append("downDiff", getDownDiff())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
